osgTerrain::TerrainTile Class Reference

`#include <TerrainTile>`

Inheritance diagram for osgTerrain::TerrainTile:

## Classes

struct | TileLoadedCallback

## Public Types

enum | BlendingPolicy { INHERIT , DO_NOT_SET_BLENDING , ENABLE_BLENDING , ENABLE_BLENDING_WHEN_ALPHA_PRESENT }
enum | DirtyMask { NOT_DIRTY = 0 , IMAGERY_DIRTY = 1<<0 , ELEVATION_DIRTY = 1<<1 , LEFT_EDGE_DIRTY = 1<<2 , RIGHT_EDGE_DIRTY = 1<<3 , TOP_EDGE_DIRTY = 1<<4 , TOP_LEFT_CORNER_DIRTY = 1<<5 , TOP_RIGHT_CORNER_DIRTY = 1<<6 , BOTTOM_EDGE_DIRTY = 1<<7 , BOTTOM_LEFT_CORNER_DIRTY = 1<<8 , BOTTOM_RIGHT_CORNER_DIRTY = 1<<9 , EDGES_DIRTY , ALL_DIRTY = IMAGERY_DIRTY | ELEVATION_DIRTY | EDGES_DIRTY }
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| TerrainTile ()
| TerrainTile (const TerrainTile &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgTerrain, TerrainTile)
virtual void | traverse (osg::NodeVisitor &nv)
void | init (int dirtyMask, bool assumeMultiThreaded)
void | setTerrain (Terrain *ts)
Terrain * | getTerrain ()
const Terrain * | getTerrain () const
void | setTileID (const TileID &tileID)
const TileID & | getTileID () const
void | setTerrainTechnique (TerrainTechnique *terrainTechnique)
template<class T>
void | setTerrainTechnique (const osg::ref_ptr< T > &terrainTechnique)
TerrainTechnique * | getTerrainTechnique ()
const TerrainTechnique * | getTerrainTechnique () const
void | setLocator (Locator *locator)
template<class T>
void | setLocator (const osg::ref_ptr< T > &locator)
Locator * | getLocator ()
const Locator * | getLocator () const
void | setElevationLayer (Layer *layer)
template<class T>
void | setElevationLayer (const osg::ref_ptr< T > &layer)
Layer * | getElevationLayer ()
const Layer * | getElevationLayer () const
void | setColorLayer (unsigned int i, Layer *layer)
template<class T>
void | setColorLayer (unsigned int i, const osg::ref_ptr< T > &layer)
Layer * | getColorLayer (unsigned int i)
const Layer * | getColorLayer (unsigned int i) const
unsigned int | getNumColorLayers () const
void | setRequiresNormals (bool flag)
bool | getRequiresNormals () const
void | setTreatBoundariesToValidDataAsDefaultValue (bool flag)
bool | getTreatBoundariesToValidDataAsDefaultValue () const
void | setBlendingPolicy (BlendingPolicy policy)
BlendingPolicy | getBlendingPolicy () const
void | setDirty (bool dirty)
int | getDirty () const
void | setDirtyMask (int dirtyMask)
int | getDirtyMask () const
virtual osg::BoundingSphere | computeBound () const
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual bool | addChild (Node *child)
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static void | setTileLoadedCallback (TileLoadedCallback *lc)
static osg::ref_ptr< TileLoadedCallback > & | getTileLoadedCallback ()
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Types

typedef std::vector< osg::ref_ptr< Layer > > | Layers

## Protected Member Functions

virtual | ~TerrainTile ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

Terrain * | _terrain
int | _dirtyMask
bool | _hasBeenTraversal
TileID | _tileID
osg::ref_ptr< TerrainTechnique > | _terrainTechnique
osg::ref_ptr< Locator > | _locator
osg::ref_ptr< Layer > | _elevationLayer
Layers | _colorLayers
bool | _requiresNormals
bool | _treatBoundariesToValidDataAsDefaultValue
BlendingPolicy | _blendingPolicy
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | Terrain

## Detailed Description

Terrain provides a framework for loosely coupling height field data with height rendering algorithms. This allows TerrainTechnique's to be plugged in at runtime.

## Member Typedef Documentation

## Layers

typedef std::vector< osg::ref_ptr<Layer> > osgTerrain::TerrainTile::Layers

protected

## Member Enumeration Documentation

## BlendingPolicy

enum osgTerrain::TerrainTile::BlendingPolicy

Enumerator
INHERIT |
DO_NOT_SET_BLENDING | Default - check for the any BlendingPolicy set on the enclosing osgTerrain::Terrain node, and if it's also INHERIT then assume ENABLE_BLENDING_WHEN_ALPHA_PRESENT.
ENABLE_BLENDING |
ENABLE_BLENDING_WHEN_ALPHA_PRESENT | check colour layers for alpha value and if present enable blending.

## DirtyMask

enum osgTerrain::TerrainTile::DirtyMask

Enumerator
NOT_DIRTY |
IMAGERY_DIRTY |
ELEVATION_DIRTY |
LEFT_EDGE_DIRTY |
RIGHT_EDGE_DIRTY |
TOP_EDGE_DIRTY |
TOP_LEFT_CORNER_DIRTY |
TOP_RIGHT_CORNER_DIRTY |
BOTTOM_EDGE_DIRTY |
BOTTOM_LEFT_CORNER_DIRTY |
BOTTOM_RIGHT_CORNER_DIRTY |
EDGES_DIRTY |
ALL_DIRTY |

## Constructor & Destructor Documentation

## TerrainTile() [1/2]

osgTerrain::TerrainTile::TerrainTile | ( |  | ) |

Referenced by META_Node(), and TerrainTile().

## TerrainTile() [2/2]

osgTerrain::TerrainTile::TerrainTile | ( | const TerrainTile & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References osg::CopyOp::SHALLOW_COPY, and TerrainTile().

## ~TerrainTile()

virtual osgTerrain::TerrainTile::~TerrainTile | ( |  | ) |

protected virtual

## Member Function Documentation

## computeBound()

virtual osg::BoundingSphere osgTerrain::TerrainTile::computeBound | ( |  | ) | const

virtual

Compute the bounding volume of the terrain by computing the union of the bounding volumes of all layers.

Reimplemented from osg::Group.

## getBlendingPolicy()

BlendingPolicy osgTerrain::TerrainTile::getBlendingPolicy | ( |  | ) | const

inline

Get the policy to use when deciding whether to enable/disable blending and use of transparent bin.

References _blendingPolicy.

## getColorLayer() [1/2]

Layer * osgTerrain::TerrainTile::getColorLayer | ( | unsigned int | i | ) |

inline

Get color layer with specified layer number.

References _colorLayers.

## getColorLayer() [2/2]

const Layer * osgTerrain::TerrainTile::getColorLayer | ( | unsigned int | i | ) | const

inline

Set const color layer with specified layer number.

References _colorLayers.

## getDirty()

int osgTerrain::TerrainTile::getDirty | ( |  | ) | const

inline

return true if the any of the DirtyMask are set.

References _dirtyMask, and NOT_DIRTY.

## getDirtyMask()

int osgTerrain::TerrainTile::getDirtyMask | ( |  | ) | const

inline

return true if the tile is dirty and needs to be updated,

References _dirtyMask.

## getElevationLayer() [1/2]

Layer * osgTerrain::TerrainTile::getElevationLayer | ( |  | ) |

inline

Get the layer to use to define the elevations of the terrain.

References _elevationLayer.

## getElevationLayer() [2/2]

const Layer * osgTerrain::TerrainTile::getElevationLayer | ( |  | ) | const

inline

Get the const layer to use to define the elevations of the terrain.

References _elevationLayer.

## getLocator() [1/2]

Locator * osgTerrain::TerrainTile::getLocator | ( |  | ) |

inline

Get the coordinate frame locator of the terrain node.

References _locator.

## getLocator() [2/2]

const Locator * osgTerrain::TerrainTile::getLocator | ( |  | ) | const

inline

Get the const coordinate frame locator of the terrain node.

References _locator.

## getNumColorLayers()

unsigned int osgTerrain::TerrainTile::getNumColorLayers | ( |  | ) | const

inline

Get the number of colour layers.

References _colorLayers.

## getRequiresNormals()

bool osgTerrain::TerrainTile::getRequiresNormals | ( |  | ) | const

inline

Get whether the TerrainTechnique should create per vertex normals for lighting purposes.

References _requiresNormals.

## getTerrain() [1/2]

Terrain * osgTerrain::TerrainTile::getTerrain | ( |  | ) |

inline

Get the Terrain that this Terrain tile is a member of.

References _terrain, and Terrain.

## getTerrain() [2/2]

const Terrain * osgTerrain::TerrainTile::getTerrain | ( |  | ) | const

inline

Get the const Terrain that this Terrain tile is a member of.

References _terrain, and Terrain.

## getTerrainTechnique() [1/2]

TerrainTechnique * osgTerrain::TerrainTile::getTerrainTechnique | ( |  | ) |

inline

Get the TerrainTechnique

References _terrainTechnique.

## getTerrainTechnique() [2/2]

const TerrainTechnique * osgTerrain::TerrainTile::getTerrainTechnique | ( |  | ) | const

inline

Get the const TerrainTechnique

References _terrainTechnique.

## getTileID()

const TileID & osgTerrain::TerrainTile::getTileID | ( |  | ) | const

inline

Get the TileID (layer, x,y) of the TerrainTile.

References _tileID.

## getTileLoadedCallback()

osg::ref_ptr< TileLoadedCallback > & osgTerrain::TerrainTile::getTileLoadedCallback | ( |  | ) |

static

## getTreatBoundariesToValidDataAsDefaultValue()

bool osgTerrain::TerrainTile::getTreatBoundariesToValidDataAsDefaultValue | ( |  | ) | const

inline

Get whether the TeatBoundariesToValidDataAsDefaultValue hint.

References _treatBoundariesToValidDataAsDefaultValue.

## init()

void osgTerrain::TerrainTile::init | ( | int | dirtyMask,
|  | bool | assumeMultiThreaded )

Call init on any attached TerrainTechnique.

## META_Node()

osgTerrain::TerrainTile::META_Node | ( | osgTerrain | ,
|  | TerrainTile | )

References TerrainTile().

## releaseGLObjects()

virtual void osgTerrain::TerrainTile::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

If State is non-zero, this function releases any associated OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objects for all graphics contexts.

Reimplemented from osg::Group.

## setBlendingPolicy()

void osgTerrain::TerrainTile::setBlendingPolicy | ( | BlendingPolicy | policy | ) |

inline

Set the policy to use when deciding whether to enable/disable blending and use of transparent bin.

References _blendingPolicy.

## setColorLayer() [1/2]

template<class T>

void osgTerrain::TerrainTile::setColorLayer | ( | unsigned int | i,
|  | const osg::ref_ptr< T > & | layer )

inline

References osg::ref_ptr< T >::get(), and setColorLayer().

Referenced by setColorLayer().

## setColorLayer() [2/2]

void osgTerrain::TerrainTile::setColorLayer | ( | unsigned int | i,
|  | Layer * | layer )

Set a color layer with specified layer number.

## setDirty()

void osgTerrain::TerrainTile::setDirty | ( | bool | dirty | ) |

inline

Set the dirty flag on/off.

References ALL_DIRTY, NOT_DIRTY, and setDirtyMask().

## setDirtyMask()

void osgTerrain::TerrainTile::setDirtyMask | ( | int | dirtyMask | ) |

Set the dirty flag on/off.

Referenced by setDirty().

## setElevationLayer() [1/2]

template<class T>

void osgTerrain::TerrainTile::setElevationLayer | ( | const osg::ref_ptr< T > & | layer | ) |

inline

References osg::ref_ptr< T >::get(), and setElevationLayer().

Referenced by setElevationLayer().

## setElevationLayer() [2/2]

void osgTerrain::TerrainTile::setElevationLayer | ( | Layer * | layer | ) |

Set the layer to use to define the elevations of the terrain.

## setLocator() [1/2]

template<class T>

void osgTerrain::TerrainTile::setLocator | ( | const osg::ref_ptr< T > & | locator | ) |

inline

References osg::ref_ptr< T >::get(), and setLocator().

Referenced by setLocator().

## setLocator() [2/2]

void osgTerrain::TerrainTile::setLocator | ( | Locator * | locator | ) |

inline

Set the coordinate frame locator of the terrain node. The locator takes non-dimensional s,t coordinates into the X,Y,Z world coords and back.

References _locator.

## setRequiresNormals()

void osgTerrain::TerrainTile::setRequiresNormals | ( | bool | flag | ) |

inline

Set hint to whether the TerrainTechnique should create per vertex normals for lighting purposes.

References _requiresNormals.

## setTerrain()

void osgTerrain::TerrainTile::setTerrain | ( | Terrain * | ts | ) |

Set the Terrain that this Terrain tile is a member of.

References Terrain.

## setTerrainTechnique() [1/2]

template<class T>

void osgTerrain::TerrainTile::setTerrainTechnique | ( | const osg::ref_ptr< T > & | terrainTechnique | ) |

inline

References osg::ref_ptr< T >::get(), and setTerrainTechnique().

Referenced by setTerrainTechnique().

## setTerrainTechnique() [2/2]

void osgTerrain::TerrainTile::setTerrainTechnique | ( | TerrainTechnique * | terrainTechnique | ) |

Set the TerrainTechnique

## setTileID()

void osgTerrain::TerrainTile::setTileID | ( | const TileID & | tileID | ) |

Set the TileID (layer, x,y) of the TerrainTile. The TileID is used so it can be located by its neighbours via the enclosing Terrain node that manages a map of TileID to TerraiTiles.

## setTileLoadedCallback()

void osgTerrain::TerrainTile::setTileLoadedCallback | ( | TileLoadedCallback * | lc | ) |

static

## setTreatBoundariesToValidDataAsDefaultValue()

void osgTerrain::TerrainTile::setTreatBoundariesToValidDataAsDefaultValue | ( | bool | flag | ) |

inline

Set the hint to whether the TerrainTechnique should treat the invalid Layer entries that at are neighbours to valid entries with the default value.

References _treatBoundariesToValidDataAsDefaultValue.

## traverse()

virtual void osgTerrain::TerrainTile::traverse | ( | osg::NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::Group.

## Friends And Related Symbol Documentation

## Terrain

friend class Terrain

friend

References Terrain.

Referenced by getTerrain(), getTerrain(), setTerrain(), and Terrain.

## Member Data Documentation

## _blendingPolicy

BlendingPolicy osgTerrain::TerrainTile::_blendingPolicy

protected

Referenced by getBlendingPolicy(), and setBlendingPolicy().

## _colorLayers

Layers osgTerrain::TerrainTile::_colorLayers

protected

Referenced by getColorLayer(), getColorLayer(), and getNumColorLayers().

## _dirtyMask

int osgTerrain::TerrainTile::_dirtyMask

protected

Referenced by getDirty(), and getDirtyMask().

## _elevationLayer

osg::ref_ptr<Layer> osgTerrain::TerrainTile::_elevationLayer

protected

Referenced by getElevationLayer(), and getElevationLayer().

## _hasBeenTraversal

bool osgTerrain::TerrainTile::_hasBeenTraversal

protected

## _locator

osg::ref_ptr<Locator> osgTerrain::TerrainTile::_locator

protected

Referenced by getLocator(), getLocator(), and setLocator().

## _requiresNormals

bool osgTerrain::TerrainTile::_requiresNormals

protected

Referenced by getRequiresNormals(), and setRequiresNormals().

## _terrain

Terrain* osgTerrain::TerrainTile::_terrain

protected

Referenced by getTerrain(), and getTerrain().

## _terrainTechnique

osg::ref_ptr<TerrainTechnique> osgTerrain::TerrainTile::_terrainTechnique

protected

Referenced by getTerrainTechnique(), and getTerrainTechnique().

## _tileID

TileID osgTerrain::TerrainTile::_tileID

protected

Referenced by getTileID().

## _treatBoundariesToValidDataAsDefaultValue

bool osgTerrain::TerrainTile::_treatBoundariesToValidDataAsDefaultValue

protected

Referenced by getTreatBoundariesToValidDataAsDefaultValue(), and setTreatBoundariesToValidDataAsDefaultValue().

The documentation for this class was generated from the following file:

- TerrainTile